Description

Youtube video urls in the media element are rendered as object, but should be rendered as iframe to be IOS / Android enabled.

Related issues:
related to Core - Feature # 25718: Support <iframe> inclusion for Media Conte... New 2011-04-01
related to Core - Feature # 61799: Improve the handling of media files Under Review 2014-09-22
related to Core - Bug # 44633: Media-element: Vimeo-video can not play via HTML5 New 2013-01-18

History
#1 - 2013-11-07 21:26 - Georg Ringer
- Tracker changed from Bug to Feature

certainly a feature and not a bug to have an alternative rendering method

#2 - 2013-11-08 07:40 - Kay Strobach

mhmm, for me it's a bug, as it just works on desktops this way, neither android nor IOS show the video with the object rendering :(

#3 - 2013-11-08 08:52 - Georg Ringer

mobile gave up flash support, so the "bug" is there ;)

so you wanna make a patch for this? and don't forget that this is not only about youtube but also other video hosters who got iframe support

#4 - 2014-06-20 14:14 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30923

#5 - 2014-06-20 18:32 - Markus Hölzle

I have just checked the other video providers: Dailymotion, Vimeo, ClipFish, Liveleak, Metacafe, MyVideo now use iframes. 
Sevenload and Google Video no longer exist. 
Only Veoh still uses flash.

2015-08-04 1/2

https://review.typo3.org/30923


All providers should be updated because it's necessary to embed videos on smartphones and for responsive layouts.

#6 - 2014-06-20 21:10 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30923

#7 - 2015-06-19 13:10 - Stig Nørgaard Færch

So this still means that when inserting a YouTube video, it will not play on Android/IOS?
I just tried it - and that seems to be the case.
